chiark / gitweb /
*** empty log message ***
authorjames <james>
Sun, 3 Feb 2008 16:20:23 +0000 (16:20 +0000)
committerjames <james>
Sun, 3 Feb 2008 16:20:23 +0000 (16:20 +0000)
28 files changed:
AUTHORS [new file with mode: 0644]
COPYING [new file with mode: 0644]
ChangeLog [new file with mode: 0644]
INSTALL [new file with mode: 0644]
Makefile.am [new file with mode: 0644]
NEWS [new file with mode: 0644]
README [new file with mode: 0644]
apps/Makefile.am [new file with mode: 0644]
bstrap [new file with mode: 0755]
configure.in [new file with mode: 0644]
libsympathy-config.src.in [new file with mode: 0644]
maintainer/bootstrap [new file with mode: 0755]
maintainer/make_distn [new file with mode: 0755]
maintainer/tag [new file with mode: 0755]
maintainer/tidy [new file with mode: 0755]
src/Makefile.am [new file with mode: 0644]
src/libsympathy.c [new file with mode: 0644]
src/project.h [new file with mode: 0644]
src/prototypes.h [new file with mode: 0644]
src/sympathy.h.in [new file with mode: 0644]
src/version.c [new file with mode: 0644]
test/Makefile.am [new file with mode: 0644]
test/test.c [new file with mode: 0644]
version-files [new file with mode: 0644]
version-major [new file with mode: 0644]
version-md5sums [new file with mode: 0644]
version-micro [new file with mode: 0644]
version-minor [new file with mode: 0644]

diff --git a/AUTHORS b/AUTHORS
new file mode 100644 (file)
index 0000000..0572210
--- /dev/null
+++ b/AUTHORS
@@ -0,0 +1,15 @@
+#
+#
+# AUTHORS:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
diff --git a/COPYING b/COPYING
new file mode 100644 (file)
index 0000000..f404dfe
--- /dev/null
+++ b/COPYING
@@ -0,0 +1,15 @@
+#
+#
+# COPYING:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
diff --git a/ChangeLog b/ChangeLog
new file mode 100644 (file)
index 0000000..6b15cda
--- /dev/null
+++ b/ChangeLog
@@ -0,0 +1,15 @@
+#
+#
+# ChangeLog:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
diff --git a/INSTALL b/INSTALL
new file mode 100644 (file)
index 0000000..9953f1e
--- /dev/null
+++ b/INSTALL
@@ -0,0 +1,198 @@
+#
+#
+# INSTALL:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
+#
+Basic Installation
+==================
+
+   These are generic installation instructions.
+
+   The `configure' shell script attempts to guess correct values for
+various system-dependent variables used during compilation.  It uses
+those values to create a `Makefile' in each directory of the package.
+It may also create one or more `.h' files containing system-dependent
+definitions.  Finally, it creates a shell script `config.status' that
+you can run in the future to recreate the current configuration, a file
+`config.cache' that saves the results of its tests to speed up
+reconfiguring, and a file `config.log' containing compiler output
+(useful mainly for debugging `configure').
+
+   If you need to do unusual things to compile the package, please try
+to figure out how `configure' could check whether to do them, and mail
+diffs or instructions to the address given in the `README' so they can
+be considered for the next release.  If at some point `config.cache'
+contains results you don't want to keep, you may remove or edit it.
+
+   The file `configure.in' is used to create `configure' by a program
+called `autoconf'.  You only need `configure.in' if you want to change
+it or regenerate `configure' using a newer version of `autoconf'.
+
+The simplest way to compile this package is:
+
+  1. `cd' to the directory containing the package's source code and type
+     `./configure' to configure the package for your system.  If you're
+     using `csh' on an old version of System V, you might need to type
+     `sh ./configure' instead to prevent `csh' from trying to execute
+     `configure' itself.
+
+     Running `configure' takes awhile.  While running, it prints some
+     messages telling which features it is checking for.
+
+  2. Type `make' to compile the package.
+
+  3. Optionally, type `make check' to run any self-tests that come with
+     the package.
+
+  4. Type `make install' to install the programs and any data files and
+     documentation.
+
+  5. You can remove the program binaries and object files from the
+     source code directory by typing `make clean'.  To also remove the
+     files that `configure' created (so you can compile the package for
+     a different kind of computer), type `make distclean'.  There is
+     also a `make maintainer-clean' target, but that is intended mainly
+     for the package's developers.  If you use it, you may have to get
+     all sorts of other programs in order to regenerate files that came
+     with the distribution.
+
+Compilers and Options
+=====================
+
+   Some systems require unusual options for compilation or linking that
+the `configure' script does not know about.  You can give `configure'
+initial values for variables by setting them in the environment.  Using
+a Bourne-compatible shell, you can do that on the command line like
+this:
+     CC=c89 CFLAGS=-O2 LIBS=-lposix ./configure
+
+Or on systems that have the `env' program, you can do it like this:
+     env CPPFLAGS=-I/usr/local/include LDFLAGS=-s ./configure
+
+Compiling For Multiple Architectures
+====================================
+
+   You can compile the package for more than one kind of computer at the
+same time, by placing the object files for each architecture in their
+own directory.  To do this, you must use a version of `make' that
+supports the `VPATH' variable, such as GNU `make'.  `cd' to the
+directory where you want the object files and executables to go and run
+the `configure' script.  `configure' automatically checks for the
+source code in the directory that `configure' is in and in `..'.
+
+   If you have to use a `make' that does not supports the `VPATH'
+variable, you have to compile the package for one architecture at a time
+in the source code directory.  After you have installed the package for
+one architecture, use `make distclean' before reconfiguring for another
+architecture.
+
+Installation Names
+==================
+
+   By default, `make install' will install the package's files in
+`/usr/local/bin', `/usr/local/man', etc.  You can specify an
+installation prefix other than `/usr/local' by giving `configure' the
+option `--prefix=PATH'.
+
+   You can specify separate installation prefixes for
+architecture-specific files and architecture-independent files.  If you
+give `configure' the option `--exec-prefix=PATH', the package will use
+PATH as the prefix for installing programs and libraries.
+Documentation and other data files will still use the regular prefix.
+
+   In addition, if you use an unusual directory layout you can give
+options like `--bindir=PATH' to specify different values for particular
+kinds of files.  Run `configure --help' for a list of the directories
+you can set and what kinds of files go in them.
+
+   If the package supports it, you can cause programs to be installed
+with an extra prefix or suffix on their names by giving `configure' the
+option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.
+
+Optional Features
+=================
+
+   Some packages pay attention to `--enable-FEATURE' options to
+`configure', where FEATURE indicates an optional part of the package.
+They may also pay attention to `--with-PACKAGE' options, where PACKAGE
+is something like `gnu-as' or `x' (for the X Window System).  The
+`README' should mention any `--enable-' and `--with-' options that the
+package recognizes.
+
+   For packages that use the X Window System, `configure' can usually
+find the X include and library files automatically, but if it doesn't,
+you can use the `configure' options `--x-includes=DIR' and
+`--x-libraries=DIR' to specify their locations.
+
+Specifying the System Type
+==========================
+
+   There may be some features `configure' can not figure out
+automatically, but needs to determine by the type of host the package
+will run on.  Usually `configure' can figure that out, but if it prints
+a message saying it can not guess the host type, give it the
+`--host=TYPE' option.  TYPE can either be a short name for the system
+type, such as `sun4', or a canonical name with three fields:
+     CPU-COMPANY-SYSTEM
+
+See the file `config.sub' for the possible values of each field.  If
+`config.sub' isn't included in this package, then this package doesn't
+need to know the host type.
+
+   If you are building compiler tools for cross-compiling, you can also
+use the `--target=TYPE' option to select the type of system they will
+produce code for and the `--build=TYPE' option to select the type of
+system on which you are compiling the package.
+
+Sharing Defaults
+================
+
+   If you want to set default values for `configure' scripts to share,
+you can create a site shell script called `config.site' that gives
+default values for variables like `CC', `cache_file', and `prefix'.
+`configure' looks for `PREFIX/share/config.site' if it exists, then
+`PREFIX/etc/config.site' if it exists.  Or, you can set the
+`CONFIG_SITE' environment variable to the location of the site script.
+A warning: not all `configure' scripts look for a site script.
+
+Operation Controls
+==================
+
+   `configure' recognizes the following options to control how it
+operates.
+
+`--cache-file=FILE'
+     Use and save the results of the tests in FILE instead of
+     `./config.cache'.  Set FILE to `/dev/null' to disable caching, for
+     debugging `configure'.
+
+`--help'
+     Print a summary of the options to `configure', and exit.
+
+`--quiet'
+`--silent'
+`-q'
+     Do not print messages saying which checks are being made.  To
+     suppress all normal output, redirect it to `/dev/null' (any error
+     messages will still be shown).
+
+`--srcdir=DIR'
+     Look for the package's source code in directory DIR.  Usually
+     `configure' can determine that directory automatically.
+
+`--version'
+     Print the version of Autoconf used to generate the `configure'
+     script, and exit.
+
+`configure' also accepts some other, not widely useful, options.
diff --git a/Makefile.am b/Makefile.am
new file mode 100644 (file)
index 0000000..778ebd9
--- /dev/null
@@ -0,0 +1,42 @@
+#
+#
+# Makefile.am:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
+#
+SUBDIRS=src apps test 
+
+bin_SCRIPTS = libsympathy-config
+
+libsympathy-config.src:libsympathy-config.src.in
+libsympathy-config:libsympathy-config.src version.sed
+       @SED@ -f version.sed < libsympathy-config.src > libsympathy-config || rm -f libsympathy-config
+       chmod +x $@
+       
+
+VFD=${srcdir}
+VF=${shell cat ${VFD}/version-files}
+VFS=${VF:%=${VFD}/%}
+VCHK=${shell cat ${VFS} | @MD5SUM@ | @AWK@ '{print $$1 }' }
+VNUM=${shell @GREP@ ${VCHK} ${VFD}/version-md5sums | @AWK@ '{ print $$2 }'  }
+VDEF=${shell echo `cat ${VFD}/version-major`.`cat ${VFD}/version-minor`.`cat ${VFD}/version-micro` }
+
+version.sed: $(VFD)/version-files $(VFD)/version-major \
+       $(VFD)/version-minor $(VFD)/version-micro \
+       $(VFD)/version-md5sums ${VFS} Makefile
+       if [ .${VNUM} = . ]; then \
+               echo "s/%VERSION%/${VDEF}-E/g" > version.sed; \
+       else \
+               echo "s/%VERSION%/${VNUM}/g" > version.sed; \
+       fi
+
diff --git a/NEWS b/NEWS
new file mode 100644 (file)
index 0000000..9442347
--- /dev/null
+++ b/NEWS
@@ -0,0 +1,13 @@
+#
+# NEWS:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
diff --git a/README b/README
new file mode 100644 (file)
index 0000000..4c2edea
--- /dev/null
+++ b/README
@@ -0,0 +1,16 @@
+#
+#
+# README:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
+
diff --git a/apps/Makefile.am b/apps/Makefile.am
new file mode 100644 (file)
index 0000000..0ef4af7
--- /dev/null
@@ -0,0 +1,28 @@
+#
+# Makefile.am:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+
+INCLUDES = -I$(srcdir)/../src 
+
+noinst_PROGRAMS = sympathyd sympathy
+
+sympathy_SOURCES = sympathy.c
+sympathy_LDADD = ../src/libsympathy.la  
+
+sympathyd_SOURCES = sympathyd.c
+sympathyd_LDADD = ../src/libsympathy.la  
+
+AM_CFLAGS=-g
+
+
diff --git a/bstrap b/bstrap
new file mode 100755 (executable)
index 0000000..e7f67a6
--- /dev/null
+++ b/bstrap
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# bstrap:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
+#
+maintainer/bootstrap
+./configure --prefix=/tmp
diff --git a/configure.in b/configure.in
new file mode 100644 (file)
index 0000000..91c7516
--- /dev/null
@@ -0,0 +1,113 @@
+dnl
+dnl
+dnl configure.in:
+dnl
+dnl Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+dnl All rights reserved.
+dnl
+dnl $Id$
+dnl
+dnl $Log$
+dnl Revision 1.1  2008/02/03 16:20:23  james
+dnl *** empty log message ***
+dnl
+dnl
+dnl
+dnl
+AC_PREREQ(2.13)
+AC_INIT(src/libsympathy.c)
+
+AC_PROG_CC
+AC_SYS_LARGEFILE
+
+
+LIBSYMPATHY_MAJOR_VERSION=`cat $srcdir/version-major`
+LIBSYMPATHY_MINOR_VERSION=`cat $srcdir/version-minor`
+LIBSYMPATHY_MICRO_VERSION=`cat $srcdir/version-micro`
+
+
+
+LIBSYMPATHY_INTERFACE_VERSION_MIN=$LIBSYMPATHY_MINOR_VERSION
+LIBSYMPATHY_INTERFACE_VERSION_MAX=$LIBSYMPATHY_MINOR_VERSION
+LIBSYMPATHY_INTERFACE_REVISION=1
+
+LIBSYMPATHY_VERSION=$LIBSYMPATHY_MAJOR_VERSION.$LIBSYMPATHY_MINOR_VERSION.$LIBSYMPATHY_MICRO_VERSION
+
+AC_SUBST(LIBSYMPATHY_MAJOR_VERSION)
+AC_SUBST(LIBSYMPATHY_MINOR_VERSION)
+AC_SUBST(LIBSYMPATHY_MICRO_VERSION)
+AC_SUBST(LIBSYMPATHY_VERSION)
+
+AC_SUBST(LIBSYMPATHY_INTERFACE_VERSION_MIN)
+AC_SUBST(LIBSYMPATHY_INTERFACE_VERSION_MAX)
+AC_SUBST(LIBSYMPATHY_INTERFACE_REVISION)
+
+
+LT_RELEASE=$LIBSYMPATHY_MAJOR_VERSION.$LIBSYMPATHY_MINOR_VERSION
+LT_CURRENT=$LIBSYMPATHY_INTERFACE_VERSION_MAX
+LT_REVISION=$LIBSYMPATHY_MICRO_VERSION
+LT_AGE=`expr $LIBSYMPATHY_INTERFACE_VERSION_MAX - $LIBSYMPATHY_INTERFACE_VERSION_MIN`
+
+AC_SUBST(LT_RELEASE)
+AC_SUBST(LT_CURRENT)
+AC_SUBST(LT_REVISION)
+AC_SUBST(LT_AGE)
+
+VERSION=$LIBSYMPATHY_VERSION
+PACKAGE=libsympathy
+
+AM_INIT_AUTOMAKE($PACKAGE,$VERSION)
+
+AM_PROG_LIBTOOL
+
+AM_CONFIG_HEADER(src/config.h)
+
+AC_CHECK_PROG(MD5SUM,md5sum,md5sum)
+AC_CHECK_PROG(GREP,grep,grep)
+AC_CHECK_PROG(SED,sed,sed)
+AC_PROG_AWK
+
+dnl AC_DEFINE_UNQUOTED(LIBSYMPATHY_MAJOR_VERSION, $LIBSYMPATHY_MAJOR_VERSION)
+dnl AC_DEFINE_UNQUOTED(LIBSYMPATHY_MINOR_VERSION, $LIBSYMPATHY_MINOR_VERSION)
+dnl AC_DEFINE_UNQUOTED(LIBSYMPATHY_MICRO_VERSION, $LIBSYMPATHY_MICRO_VERSION)
+
+AC_CHECK_HEADERS(fcntl.h malloc.h sys/ioctl.h unistd.h)
+AC_CHECK_HEADERS(sys/scsi/impl/uscsi.h scsi/sg.h stdint.h)
+AC_CHECK_HEADERS(sys/int_types.h string.h strings.h)
+AC_CHECK_HEADERS(dirent.h sys/stat.h)
+
+AC_C_INLINE
+AC_C_CONST
+AC_HEADER_TIME
+AC_STRUCT_TM
+AC_CHECK_FUNCS(select strdup strstr)
+
+G2_TM_H=$ac_cv_struct_tm
+
+G2_HAVE_STDINT_H=0
+G2_HAVE_SYS_INT_TYPES_H=0
+if test "$ac_cv_header_sys_int_types_h" = "yes"; then
+       G2_HAVE_SYS_INT_TYPES_H=1
+fi
+if test "$ac_cv_header_stdint_h" = "yes"; then
+       G2_HAVE_STDINT_H=1
+fi
+G2_HAVE_UNISTD_H=0
+if test "$ac_cv_header_unistd_h" = "yes"; then
+       G2_HAVE_UNISTD_H=1
+fi
+
+AC_SUBST(G2_TM_H)
+AC_SUBST(G2_HAVE_STDINT_H)
+AC_SUBST(G2_HAVE_SYS_INT_TYPES_H)
+AC_SUBST(G2_HAVE_UNISTD_H)
+
+
+
+AC_OUTPUT([Makefile 
+       src/Makefile 
+       src/sympathy.h
+       test/Makefile 
+       apps/Makefile
+       libsympathy-config.src],[chmod +x libsympathy-config.src])
+
diff --git a/libsympathy-config.src.in b/libsympathy-config.src.in
new file mode 100644 (file)
index 0000000..c04f39b
--- /dev/null
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# libsympathy-config.src.in:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:23  james
+# *** empty log message ***
+#
+#
+#
+#
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec_prefix_set=no
+
+usage()
+{
+       cat <<EOF
+Usage: libsympathy-config [OPTIONS] [LIBRARIES]
+Options:
+       [--prefix[=DIR]]
+       [--exec-prefix[=DIR]]
+       [--version]
+       [--libs]
+       [--cflags]
+EOF
+       exit $1
+}
+
+if test $# -eq 0; then
+       usage 1 1>&2
+fi
+
+while test $# -gt 0; do
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case $1 in
+    --prefix=*)
+      prefix=$optarg
+      if test $exec_prefix_set = no ; then
+        exec_prefix=$optarg
+      fi
+      ;;
+    --prefix)
+      echo_prefix=yes
+      ;;
+    --exec-prefix=*)
+      exec_prefix=$optarg
+      exec_prefix_set=yes
+      ;;
+    --exec-prefix)
+      echo_exec_prefix=yes
+      ;;
+    --version)
+      echo %VERSION%
+      exit 0
+      ;;
+    --cflags)
+      if test "@includedir@" != /usr/include ; then
+        includes="-I@includedir@"
+      fi
+      echo_cflags=yes
+      ;;
+    --libs)
+      echo_libs=yes
+      ;;
+    *)
+      usage 1 1>&2
+      ;;
+  esac
+  shift
+done
+
+if test "$echo_prefix" = "yes"; then
+       echo $prefix
+fi
+if test "$echo_exec_prefix" = "yes"; then
+       echo $exec_prefix
+fi
+if test "$echo_cflags" = "yes"; then
+       echo $includes
+fi
+if test "$echo_libs" = "yes"; then
+       echo -L@libdir@ -lsympathy 
+fi
diff --git a/maintainer/bootstrap b/maintainer/bootstrap
new file mode 100755 (executable)
index 0000000..9a3de38
--- /dev/null
@@ -0,0 +1,26 @@
+#! /bin/sh
+#
+# bootstrap:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+#
+#
+libtoolize -f -c  --automake
+aclocal
+autoheader
+autoconf
+automake -a -c 
+automake -a -c Makefile
+automake -a -c src/Makefile
+automake -a -c apps/Makefile
+automake -a -c test/Makefile
diff --git a/maintainer/make_distn b/maintainer/make_distn
new file mode 100755 (executable)
index 0000000..ed8080b
--- /dev/null
@@ -0,0 +1,21 @@
+#! /bin/sh
+#
+# make_distn:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+#
+#
+./maintainer/bootstrap
+./configure
+make dist
+make distclean
diff --git a/maintainer/tag b/maintainer/tag
new file mode 100755 (executable)
index 0000000..0565a54
--- /dev/null
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# tag:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+#
+cvs commit -m ""
+
+FILES=`cat version-files`
+CHK=`cat $FILES | md5sum | awk '{print $1}'`
+TG=`grep $CHK version-md5sums | awk '{print $2}'`
+if [ .$TG != . ]; then
+       echo This code already tagged as Version $TG
+       exit 0
+fi
+
+MAJOR=`cat version-major`
+MINOR=`cat version-minor`
+MICRO=$[ `cat version-micro` + 1 ]
+
+echo $MICRO > version-micro
+
+echo "$CHK     ${MAJOR}.${MINOR}.${MICRO}" >> version-md5sums
+
+cvs commit -m ""
+cvs tag libsympathy-$MAJOR_$MINOR_$MICRO .
diff --git a/maintainer/tidy b/maintainer/tidy
new file mode 100755 (executable)
index 0000000..9be60c1
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# tidy:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+#
+if [ -f Makefile ]; then
+       make distclean
+fi
+
+for i in acconfig.h AUTHORS bstrap ChangeLog configure.in COPYING INSTALL mdist NEWS README tidy src/config.h.in `find . -name Makefile.am -print` `find . -name \*.[ch] -print` ; do
+       if [ -f $i ]; then
+               gimme $i
+       fi
+done
+
+find . -name \*.[ch] -print | xargs indent -i2 -ts0 
+
+find . -name \*~ -print| xargs /bin/rm -f 
+find . -name \*.BAK -print| xargs /bin/rm -f
+find . -name a.out -print| xargs /bin/rm -f
+find . -name core -print| xargs /bin/rm -f
+
diff --git a/src/Makefile.am b/src/Makefile.am
new file mode 100644 (file)
index 0000000..b740cf3
--- /dev/null
@@ -0,0 +1,69 @@
+#
+#
+# Makefile.am:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+#
+
+INCLUDES = 
+
+SRCS= libsympathy.c version.c
+CPROTO=cproto
+
+SYMPATHYSRCS=${SRCS}
+
+noinst_HEADERS= project.h prototypes.h
+
+
+libsympathy_a_SOURCES =  ${SYMPATHYSRCS}
+libsympathy_la_SOURCES = ${SYMPATHYSRCS}
+
+libsympathy_a_CFLAGS = ${AM_CFLAGS}
+
+BUILT_SOURCES = version.h
+
+lib_LIBRARIES=libsympathy.a
+lib_LTLIBRARIES=libsympathy.la
+
+include_HEADERS=sympathy.h
+
+AM_CFLAGS=-g
+
+libsympathy_la_LDFLAGS = \
+        -version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) \
+        -release $(LT_RELEASE) \
+        -export-dynamic 
+
+VFD=${srcdir}/..
+VF=${shell cat ${VFD}/version-files}
+VFS=${VF:%=${VFD}/%}
+VCHK=${shell cat ${VFS} | @MD5SUM@ | @AWK@ '{print $$1 }' }
+VNUM=${shell @GREP@ ${VCHK} ${VFD}/version-md5sums | @AWK@ '{ print $$2 }'  }
+VDEF=${shell echo `cat ${VFD}/version-major`.`cat ${VFD}/version-minor`.`cat ${VFD}/version-micro` }
+
+protos:
+       echo > prototypes.h
+       ${CPROTO} -v ${INCLUDES} ${SRCS} > prototypes.tmp
+       mv -f prototypes.tmp prototypes.h
+
+version.h: $(VFD)/version-files $(VFD)/version-major \
+       $(VFD)/version-minor $(VFD)/version-micro \
+       $(VFD)/version-md5sums ${VFS} Makefile
+       if [ .${VNUM} = . ]; then \
+               echo "#define VERSION \"libsympathy Version ${VDEF} + Edits\"" > version.h; \
+               echo ${VDEF}-E > version-num; \
+       else \
+               echo "#define VERSION \"libsympathy Version ${VNUM}\"" > version.h; \
+               echo ${VNUM} > version-num; \
+       fi
+
diff --git a/src/libsympathy.c b/src/libsympathy.c
new file mode 100644 (file)
index 0000000..40f8a9d
--- /dev/null
@@ -0,0 +1,20 @@
+/*
+ * libsympathy.c:
+ *
+ * Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+ * All rights reserved.
+ *
+ */
+
+static char rcsid[] = "$Id$";
+
+/*
+ * $Log$
+ * Revision 1.1  2008/02/03 16:20:24  james
+ * *** empty log message ***
+ *
+ *
+ */
+
+#include "project.h"
+
diff --git a/src/project.h b/src/project.h
new file mode 100644 (file)
index 0000000..079f38a
--- /dev/null
@@ -0,0 +1,65 @@
+/*
+ * project.h:
+ *
+ * Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+ * All rights reserved.
+ *
+ */
+
+/*
+ * $Id$
+ */
+
+/*
+ * $Log$
+ * Revision 1.1  2008/02/03 16:20:24  james
+ * *** empty log message ***
+ *
+ *
+ */
+
+#ifndef __PROJECT_H__
+#define __PROJECT_H__
+
+#include "config.h"
+
+#ifdef TM_IN_SYS_TIME
+#include <sys/time.h>
+#ifdef TIME_WITH_SYS_TIME
+#include <time.h>
+#endif
+#else
+#ifdef TIME_WITH_SYS_TIME
+#include <sys/time.h>
+#endif
+#include <time.h>
+#endif
+
+#include <stdio.h>
+#include <stdlib.h>
+
+#ifdef HAVE_MALLOC_H
+#include <malloc.h>
+#endif
+
+#ifdef HAVE_STRING_H
+#include <string.h>
+#endif
+
+#ifdef HAVE_STRINGS_H
+#include <strings.h>
+#endif
+
+#ifdef HAVE_UNISTD_H
+#include <unistd.h>
+#endif
+
+#if defined(HAVE_STDINT_H)
+#include <stdint.h>
+#elif defined(HAVE_SYS_INT_TYPES_H)
+#include <sys/int_types.h>
+#endif
+
+#include "prototypes.h"
+
+#endif /* __PROJECT_H__ */
diff --git a/src/prototypes.h b/src/prototypes.h
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/src/sympathy.h.in b/src/sympathy.h.in
new file mode 100644 (file)
index 0000000..ea79d89
--- /dev/null
@@ -0,0 +1,56 @@
+/*
+ * sympathy.h.in:
+ *
+ * Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+ * All rights reserved.
+ *
+ */
+
+/*
+ * $Id$
+ */
+
+/*
+ * $Log$
+ * Revision 1.1  2008/02/03 16:20:24  james
+ * *** empty log message ***
+ *
+ *
+ */
+
+/* MAKE ABSOLUTELY SURE THAT YOU ARE EDITING THE sympathy.h.in */
+/* FILE FROM WHICH THIS IS GENERATED - OTHERWISE YOUR EDITS */
+/* WILL BE LOST */
+
+#ifndef __SYMPATHY_H__
+#define __SYMPATHY_H__
+
+#ifdef __cplusplus
+extern "C" { 
+#endif
+
+#include <stdio.h>
+
+/*the integer constants here are set by configure*/
+
+/*get uint32_t and friends defined */
+#if @G2_HAVE_STDINT_H@
+#include <stdint.h>
+#elif @G2_HAVE_SYS_INT_TYPES_H@
+#include <sys/int_types.h>
+#endif
+#if @G2_HAVE_UNISTD_H@
+#include <unistd.h>
+#endif
+
+/* If the following is <> then configure failed to find where */
+/* struct tm was defined - report it as a bug */
+
+/*get struct tm defined*/
+#include <@G2_TM_H@>
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* __SYMPATHY_H__ */
diff --git a/src/version.c b/src/version.c
new file mode 100644 (file)
index 0000000..244ade0
--- /dev/null
@@ -0,0 +1,25 @@
+/*
+ * version.c:
+ *
+ * Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+ * All rights reserved.
+ *
+ */
+
+static char rcsid[] = "$Id$";
+
+/*
+ * $Log$
+ * Revision 1.1  2008/02/03 16:20:24  james
+ * *** empty log message ***
+ *
+ *
+ */
+
+#include "version.h"
+
+static char *
+GetVersion(void)
+{
+  return VERSION;
+}
diff --git a/test/Makefile.am b/test/Makefile.am
new file mode 100644 (file)
index 0000000..d6d65fc
--- /dev/null
@@ -0,0 +1,25 @@
+#
+# Makefile.am:
+#
+# Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+# All rights reserved.
+#
+# $Id$
+#
+# $Log$
+# Revision 1.1  2008/02/03 16:20:24  james
+# *** empty log message ***
+#
+#
+#
+
+INCLUDES = -I$(srcdir)/../src 
+
+noinst_PROGRAMS = test
+
+test_SOURCES = test.c
+test_LDADD = ../src/libsympathy.a  
+
+AM_CFLAGS=-g
+
+
diff --git a/test/test.c b/test/test.c
new file mode 100644 (file)
index 0000000..cc865df
--- /dev/null
@@ -0,0 +1,24 @@
+/*
+ * test.c:
+ *
+ * Copyright (c) 2008 James McKenzie <james@fishsoup.dhs.org>,
+ * All rights reserved.
+ *
+ */
+
+static char rcsid[] = "$Id$";
+
+/*
+ * $Log$
+ * Revision 1.1  2008/02/03 16:20:24  james
+ * *** empty log message ***
+ *
+ */
+
+#include "sympathy.h"
+
+int main(int argc,char *argv[])
+{
+
+return 0;
+}
diff --git a/version-files b/version-files
new file mode 100644 (file)
index 0000000..8d378d5
--- /dev/null
@@ -0,0 +1,4 @@
+src/sympathy.h.in
+src/libsympathy.c
+src/version.c
+src/project.h
diff --git a/version-major b/version-major
new file mode 100644 (file)
index 0000000..d00491f
--- /dev/null
@@ -0,0 +1 @@
+1
diff --git a/version-md5sums b/version-md5sums
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/version-micro b/version-micro
new file mode 100644 (file)
index 0000000..573541a
--- /dev/null
@@ -0,0 +1 @@
+0
diff --git a/version-minor b/version-minor
new file mode 100644 (file)
index 0000000..573541a
--- /dev/null
@@ -0,0 +1 @@
+0